﻿using Infragistics.Win;
using Infragistics.Win.UltraWinGrid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace UltraGridColumnMovingTest
{
    public partial class Form1 : Form
    {
        Random r = new Random();
        public Form1()
        {
            InitializeComponent();

            DataTable table = new DataTable();
            table.Columns.Add("ID", typeof(int));
            table.Columns.Add("Label", typeof(string));
            table.Columns.Add("Number1", typeof(string));
            table.Columns.Add("Number2", typeof(string));
            table.Columns.Add("Number3", typeof(string));

            for(int i=0; i<10; i++)
            {
                DataRow row = table.NewRow();
                row[0] = i;
                row[1] = "Item " + i.ToString();
                row[2] = r.Next(1000);
                row[3] = r.Next(1000);
                row[4] = r.Next(1000);
                table.Rows.Add(row);
            }

            ultraGrid1.InitializeLayout += UltraGrid1_InitializeLayout;
            ultraGrid1.DataSource = table;
        }

        private void UltraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            UltraGridBand b = e.Layout.Bands[0];

            b.GroupHeadersVisible = true;
            b.RowLayoutStyle = RowLayoutStyle.GroupLayout;
            b.Override.AllowColMoving = AllowColMoving.NotAllowed;
            UltraGridGroup setGrp = b.Groups.Add("Number Group", "Number Group");
            setGrp.Header.Appearance.FontData.Bold = DefaultableBoolean.True;
            setGrp.Header.Appearance.FontData.Underline = DefaultableBoolean.True;
            setGrp.Header.Appearance.TextHAlign = HAlign.Center;
            setGrp.RowLayoutGroupInfo.OriginX = 500;
            setGrp.CellAppearance.BorderColor = Color.LightGreen;
            b.Columns["Number1"].RowLayoutColumnInfo.ParentGroup = setGrp;
            b.Columns["Number2"].RowLayoutColumnInfo.ParentGroup = setGrp;
            b.Columns["Number3"].RowLayoutColumnInfo.ParentGroup = setGrp;
        }
    }
}
